Torch Object Storage
This API is used to merge uploaded parts. To call this API, you must provide a valid part list (including PartNumber and ETag). Upon receiving your request, TOS merges the parts specified in the part list into an object.
UploadIds. An UploadId will be deleted after the associated parts have been successfully merged, and other UploadIds are not affected.PartNumber can be any number from 1 to 10,000, inclusive. PartNumbers will be verified before the merge, which must involve each uploaded part.POST /objectName?uploadId=UploadId HTTP/1.1 Host: bucketname.tos-cn-beijing.volces.com Date: GMT Date Authorization: authorization string Content-Length: length { "Parts":[{ "PartNumber":partNumber, "ETag":etag }] }
For common request headers, see Common Parameters.
Name | Location | Type | Required | Sample Value | Description |
|---|---|---|---|---|---|
uploadId | Query | String | Yes | f93f6fc9da94371f321e1008 | Identifies a multipart upload task. |
The request body specifies a list of parts to merge.
Name | Description |
|---|---|
Parts | Uploaded parts. |
PartNumber | Number of an uploaded part. Parent node: Parts. |
ETag | ETag of the part returned upon successful upload. Parent node: Parts. |
For common response headers, see Common Parameters.
Name | Type | Description |
|---|---|---|
x-tos-server-side-encryption | String | Server-side encryption method of the object, which is returned if the object is SSE-TOS encrypted. Valid values:
|
x-tos-version-id | String | Version ID of the created object. This header will not appear in the response if the object has no version ID. |
x-tos-hash-crc64ecma | Integer | CRC-64 value of the object,which is calculated according to the ECMA-182 standard. tip This is the CRC-64 value of the unencrypted object content when server-side encryption is enabled for object upload. |
Name | Type | Description |
|---|---|---|
Location | String | URL for the newly created object, including a domain name. |
Bucket | String | Bucket name. |
Key | String | Name of the resulting object. |
ETag | String | ETag generated at object creation that uniquely identifies the object content. |
POST /objectName?uploadId=UploadId HTTP/1.1 Host: bucketname.tos-cn-beijing.volces.com Date: Fri, 30 Jul 2021 13:59:38 GMT Authorization: authorization string Content-Length: 100 { "Parts":[{ "PartNumber":1, "ETag":"7de47c292287f7965357c1ddd724b2b7" }] }
HTTP/1.1 200 OK x-tos-id-2: 9b84750a5bbc0029-a444ed0 x-tos-request-id: 9b84750a5bbc0029-a444ed0 Date: Fri, 30 Jul 2021 13:59:38 GMT server: TosServer Content-Length: 235 { "Location": "http://bucketName.tos-ap-southeast-1.bytepluses.com/objectName", "Bucket": "bucketName", "Key": "objectName", "ETag": "\"00b8d61d63ca2bbc2b535917e40ef478-1\"" }